Name:           auto-boot-check
Version:        0.2.0
Release:        1%{?dist}
Summary:        Tool for at-boot configuration consistency checks

License:        LGPL-2.0-or-later
Source0:        %{name}-%{version}.tar.xz

BuildRequires:  gcc meson
BuildRequires:  json-c-devel

%description
Tool for at-boot configuration consistency checks

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install

%files
%doc README.md
%{_bindir}/auto-boot-check
%{_bindir}/auto-boot-check-tool
%{_prefix}/lib/systemd/system/auto-boot-check.service
%dir %{_prefix}/lib/boot-check.d
%dir %{_sysconfdir}/boot-check.d

%changelog
* Fri Feb 28 2025 Alexander Larsson <alexl@redhat.com> - 0.2-1
- Update to 0.2

* Fri Dec 13 2024 Alexander Larsson <alexl@redhat.com>
- Initial version
